# Constants used for creating the Tag Template used to tag the Datasource, Tag Template Table.
TAG_TEMPLATES_DS_TEMPLATE_NAME_COLUMN_LABEL = 'template_name'
TAG_TEMPLATES_DS_TEMPLATE_DISPLAY_NAME_COLUMN_LABEL = 'display_name'
TAG_TEMPLATES_DS_FIELD_ID_COLUMN_LABEL = 'field_id'
TAG_TEMPLATES_DS_FIELD_DISPLAY_NAME_COLUMN_LABEL = 'field_display_name'
TAG_TEMPLATES_DS_FIELD_TYPE_COLUMN_LABEL = 'field_type'
TAG_TEMPLATES_DS_FIELD_ENUM_VALUES_COLUMN_LABEL = 'enum_values'

# Expected order for the CSV header columns, Tag Template Table.
TAG_TEMPLATES_DS_COLUMNS_ORDER = (TAG_TEMPLATES_DS_TEMPLATE_NAME_COLUMN_LABEL,
                                  TAG_TEMPLATES_DS_TEMPLATE_DISPLAY_NAME_COLUMN_LABEL,
                                  TAG_TEMPLATES_DS_FIELD_ID_COLUMN_LABEL,
                                  TAG_TEMPLATES_DS_FIELD_DISPLAY_NAME_COLUMN_LABEL,
                                  TAG_TEMPLATES_DS_FIELD_TYPE_COLUMN_LABEL,
                                  TAG_TEMPLATES_DS_FIELD_ENUM_VALUES_COLUMN_LABEL)

# Columns that can be empty on the CSV, Tag Template Table.
TAG_TEMPLATES_DS_FILLABLE_COLUMNS = [
    TAG_TEMPLATES_DS_TEMPLATE_NAME_COLUMN_LABEL,
    TAG_TEMPLATES_DS_TEMPLATE_DISPLAY_NAME_COLUMN_LABEL
]

# Columns that are required on the CSV, Tag Template Table.
TAG_TEMPLATES_DS_NON_FILLABLE_COLUMNS = [
    TAG_TEMPLATES_DS_FIELD_ID_COLUMN_LABEL, TAG_TEMPLATES_DS_FIELD_DISPLAY_NAME_COLUMN_LABEL,
    TAG_TEMPLATES_DS_FIELD_TYPE_COLUMN_LABEL, TAG_TEMPLATES_DS_FIELD_ENUM_VALUES_COLUMN_LABEL
]

# Value used to split the values inside TAG_TEMPLATES_DS_FIELD_ENUM_VALUES_COLUMN_LABEL field.
ENUM_VALUES_SEPARATOR = "|"
